<div class="modal-content">
    <div class="modal-header">
        <h3 class="modal-title">Login</h3>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close"></button>
    </div>
    <div class="modal-body">
        <div class="portlet-body">
            <div class="alert alert-danger alert-modal hidden"> </div>
            <form action="" method="post" id="form_loginku" class="form_loginku" enctype="multipart/form-data">
                #{authenticityToken /}
                <div class="form-group has-feedback">
                    <div class="row">
                        <label for="email" class="col-3 control-label">Email</label>
                        <input type="text" name="email" id="email" class="col form-control" placeholder="E-mail">
                        <span class="form-control-feedback"></span>
                        <span class="help-block">
                    <strong>#{error 'email' /}</strong>
                </span>
                    </div>
                </div>
                <div class="form-group has-feedback">
                    <div class="row">
                        <label for="email" class="col-3 control-label">Password</label>
                        <input type="password" name="password" class="col-9 form-control" placeholder="Password">
                        <span class="form-control-feedback"></span>
                        <span class="help-block">
                    <strong>#{error 'password' /}</strong>
                    </span>
                    </div>
                </div>
            </form>
        </div>
    </div>
    <div class="modal-footer">
        <button type="button" class="btn btn-success btn-elevate2 btn-elevate-air2" id="submit_data"><i class="fa fa-lock"></i> Login</button>
        <button type="button" class="btn btn-danger btn-elevate2 btn-elevate-air2" data-dismiss="modal"><i class="fa fa-power-off"></i> Tutup</button>
    </div>
<script>
$(function() {
	$(document).on('click', "button#submit_data", function(){
		$('#form_loginku').validate({
		errorElement: 'span',
	    errorClass: 'help-block',
	    focusInvalid: false,
		 	    highlight: function (element) {
	            $(element).closest('.form-group').addClass('has-error');
	            },
	            success: function (label) {
	                label.closest('.form-group').removeClass('has-error');
	                label.remove();
	            },
		}
		);
		if ($('form.form_loginku').valid()) {
		   $('.alert-modal').addClass('hidden')
                blockPageUI();
		  		$.ajax({
				xhr: function() {
                    var browser = navigator.appName;
                    if(browser == "Microsoft Internet Explorer"){
                        var xhr = new window.ActiveXObject("Microsoft.XMLHTTP");
                    }else{
                        var xhr = new window.XMLHttpRequest();
                    }
                    xhr.upload.addEventListener("progress", function(evt) {
                     if (evt.lengthComputable) {
                          var percentComplete = (evt.loaded / evt.total) * 100;
                     }
       			}, false);
       			xhr.addEventListener("progress", function(evt) {
           			if (evt.lengthComputable) {
               		var percentComplete = (evt.loaded / evt.total) *100;
           			}
      			 }, false);
			 return xhr;
   			 },
			    async:true,
    		    type: "POST",
			    cache: false,
                contentType: false,
                processData: false,
			    url: "#{url route.user_management_authcontroller_store /}",
			    data: new FormData($('#form_loginku')[0]),
				    beforeSend: function() {
				    },
        		    success: function(result) {
        		        if (result.status) {
                            $('#modal_login').modal('hide');
                            $('#modal_login').on('hidden.bs.modal', function(){
                                $(this).find('form')[0].reset();
                                $(this).data('bs.modal', null);
                            });
                            setTimeout(function(){window.location.href = result.payload}, 500);
					    } else {
					        $('.alert-modal')
					            .addClass('alert-danger')
					            .removeClass('hidden')
					            .html(result.message)
					    }
 		            },
				complete: function() {
					unblockPageUI();
				},
			   error: function() {
                   unblockPageUI();
                   $('.alert-modal')
                        .addClass('alert-danger')
                        .removeClass('alert-success')
                        .removeClass('hidden').html('&{translation.general_error}');
				}
      			});
		} else {
            //masukkan jika isian kurang
		}
	});
});
</script>
</div>